RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
LPfold.h File Reference
RNA Secondary Structure Prediction » Predicting Locally stable structures of large sequences RNA Secondary Structure Prediction » | Computing Partition Functions and Pair Probabilities » Partition functions for locally stable secondary structures

Function declarations of partition function variants of the Lfold algorithm. More...

Include dependency graph for LPfold.h:

Go to the source code of this file.

## Functions
void | update_pf_paramsLP (int length)
plist * | pfl_fold (char *sequence, int winSize, int pairSize, float cutoffb, double **pU, plist **dpp2, FILE *pUfp, FILE *spup)
| Compute partition functions for locally stable secondary structures. More...
plist * | pfl_fold_par (char *sequence, int winSize, int pairSize, float cutoffb, double **pU, plist **dpp2, FILE *pUfp, FILE *spup, vrna_exp_param_t *parameters)
| Compute partition functions for locally stable secondary structures.
void | putoutpU_prob (double **pU, int length, int ulength, FILE *fp, int energies)
| Writes the unpaired probabilities (pU) or opening energies into a file. More...
void | putoutpU_prob_bin (double **pU, int length, int ulength, FILE *fp, int energies)
| Writes the unpaired probabilities (pU) or opening energies into a binary file. More...
void | init_pf_foldLP (int length)

## Detailed Description

Function declarations of partition function variants of the Lfold algorithm.

## Function Documentation

void init_pf_foldLP | ( | int | length | ) |

Dunno if this function was ever used by external programs linking to RNAlib, but it was declared PUBLIC before. Anyway, never use this function as it will be removed soon and does nothing at all